Package nl.tudelft.simulation.dsol.animation.gis.map

## Class Attribute

- java.lang.Object
- - nl.tudelft.simulation.dsol.animation.gis.map.AbstractAttribute
  - - nl.tudelft.simulation.dsol.animation.gis.map.Attribute

All Implemented Interfaces:
  `Serializable`, `AttributeInterface`

    public class Attribute
    extends AbstractAttribute

Layer attribute implementation.

Copyright (c) 2020-2020 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information DSOL Manual. The DSOL project is distributed under a three-clause BSD-style license, which can be found at DSOL License.

Author:
  Alexander Verbraeck
See Also:
  Serialized Form

### Field Summary

Fields
`static short` `DEGREES` DEGREES.
`static short` `RADIANS` RADIANS.

### Fields inherited from class nl.tudelft.simulation.dsol.animation.gis.map.AbstractAttribute

`layer`

### Constructor Summary

Constructors
`Attribute​(LayerInterface layer, short mode, int angleColumn, int valueColumn)` constructs a new Attribute.

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getAngle​(int shapeIndex)` returns the angle of the attribute.
`String` `getValue​(int shapeIndex)`

### Methods inherited from class nl.tudelft.simulation.dsol.animation.gis.map.AbstractAttribute

`getFont, getFontColor, getLayer, getMaxScale, getMinScale, getPosition, setFont, setFontColor, setMaxScale, setMinScale, setPosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RADIANS

    public static final short RADIANS

RADIANS.

See Also:
  Constant Field Values

#### DEGREES

    public static final short DEGREES

DEGREES.

See Also:
  Constant Field Values

### Constructor Detail

#### Attribute

    public Attribute​(LayerInterface layer,
                     short mode,
                     int angleColumn,
                     int valueColumn)

constructs a new Attribute.

Parameters:
  `layer` - LayerInterface; the layer to add the attribute to
  `mode` - short; the mode (degrees or radians)
  `angleColumn` - int; the angleColumn
  `valueColumn` - int; the valueColumn

### Method Detail

#### getAngle

    public double getAngle​(int shapeIndex)

returns the angle of the attribute.

Specified by:
  `getAngle` in interface `AttributeInterface`
Specified by:
  `getAngle` in class `AbstractAttribute`
Parameters:
  `shapeIndex` - int; the shapeIndex
Returns:
  the angle

#### getValue

    public String getValue​(int shapeIndex)

Specified by:
  `getValue` in interface `AttributeInterface`
Specified by:
  `getValue` in class `AbstractAttribute`
Parameters:
  `shapeIndex` - int; the shapeIndex
Returns:
  the value of the attribute